> For the complete documentation index, see [llms.txt](https://docs.luciq.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.luciq.ai/references/user-interface-design/set-video-recording-button-position.md).

# Set Video Recording Button Position

Use this API to set the position of the video recording button when using the screen recording attachment functionality. This API can take an enum of the position.

**Method**

{% tabs fullWidth="true" %}
{% tab title="iOS - Swift" %}

```swift
BugReporting.videoRecordingFloatingButtonPosition = .topLeft
```

{% endtab %}

{% tab title="iOS - ObjC" %}

```objectivec
LCQBugReporting.videoRecordingFloatingButtonPosition = LCQPositionTopLeft;
```

{% endtab %}

{% tab title="And - Java" %}

```java
BugReporting.setVideoRecordingFloatingButtonPosition(LuciqVideoRecordingButtonPosition.TOP_LEFT);
```

{% endtab %}

{% tab title="And - Kotlin" %}

```kotlin
BugReporting.setVideoRecordingFloatingButtonPosition(LuciqVideoRecordingButtonPosition.TOP_LEFT)
```

{% endtab %}

{% tab title="RN" %}

```javascript
BugReporting.setVideoRecordingFloatingButtonPosition(BugReporting.position.topLeft);
```

{% endtab %}

{% tab title="Flutter" %}

```dart
BugReporting.setVideoRecordingFloatingButtonPosition(Position.topLeft);
```

{% endtab %}
{% endtabs %}

#### Position Parameters

{% tabs fullWidth="true" %}
{% tab title="iOS - Swift" %}

```swift
//Top Left
.topLeft
//Top Right
.topRight
//Bottom Left
.bottomLeft
//Bottom Right
.bottomRight
```

{% endtab %}

{% tab title="iOS - ObjC" %}

```objectivec
//Top Left
LCQPositionTopLeft
//Top Right
LCQPositionTopRight
//Bottom Left
LCQPositionBottomLeft
//Bottom Right
LCQPositionBottomRight
```

{% endtab %}

{% tab title="And - Java" %}

```java
//Top Left
TOP_LEFT
//Top Right
TOP_RIGHT
//Bottom Left
BOTTOM_LEFT
//Bottom Right
BOTTOM_RIGHT
```

{% endtab %}

{% tab title="And - Kotlin" %}

```kotlin
//Top Left
TOP_LEFT
//Top Right
TOP_RIGHT
//Bottom Left
BOTTOM_LEFT
//Bottom Right
BOTTOM_RIGHT
```

{% endtab %}

{% tab title="RN" %}

```javascript
//Top Left
BugReporting.position.topLeft
//Top Right
BugReporting.position.topRight
//Bottom Left
BugReporting.position.bottomLeft
//Bottom Right
BugReporting.position.bottomLeft
```

{% endtab %}

{% tab title="Flutter" %}

```dart
//Top Left
Position.topLeft
//Top Right
Position.topRight
//Bottom Left
Position.bottomLeft
//Bottom Right
Position.bottomLeft
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.luciq.ai/references/user-interface-design/set-video-recording-button-position.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
